Sign up now! · Forgot password?
RSS/Atom feed identi.ca Twitter

Gimp 2.8.2 - EPS Support

This discussion is connected to the gimp-user-list.gnome.org mailing list which is provided by the GIMP developers and not related to gimpusers.com.

14 of 14 messages available
Toggle history

Please log in to manage your subscriptions.

Gimp 2.8.2 - EPS Support Thomas Dalichow 27 Nov 13:56
  Gimp 2.8.2 - EPS Support Alexandre Prokoudine 27 Nov 19:40
  Gimp 2.8.2 - EPS Support Tobias Jakobs 28 Nov 08:30
   Gimp 2.8.2 - EPS Support vidoardes 30 Apr 10:08
    Gimp 2.8.2 - EPS Support jbgrobler 08 May 15:17
     Gimp 2.8.2 - EPS Support Patrick Shanahan 08 May 22:38
      Gimp 2.8.2 - EPS Support jbgrobler 08 May 22:47
       Gimp 2.8.2 - EPS Support Patrick Shanahan 08 May 22:54
        Gimp 2.8.2 - EPS Support jbgrobler 08 May 23:14
     Gimp 2.8.2 - EPS Support Lyle 05 Sep 16:55
      Gimp 2.8.2 - EPS Support Aitch75 29 Sep 13:47
       Gimp 2.8.2 - EPS Support jbgrobler 29 Sep 16:06
  Gimp 2.8.2 - EPS Support Hud_One 22 Apr 14:36
   Gimp 2.8.2 - EPS Support Hud_One 22 Apr 14:48
Thomas Dalichow
2012-11-27 13:56:05 UTC (almost 2 years ago)

Gimp 2.8.2 - EPS Support

Hi everybody,

this is my first post on this mailing list and it concerns the EPS support in Gimp 2.8.2

Basic Information:

- Gimp 2.8.2 - Windows 7 Professional, 64 Bit
- GPL Ghostscript 9.0.6, 32 Bit
- Variable GS_PROG is set to
C:\Program Files (x86)\gs\gs9.06\bin\gswin32c.exe (which exists)

Problem:

We recently switched from Gimp 2.6 to Gimp 2.8.2. Under 2.6 it was possible to open EPS-Files in Gimp via Ghostscript, that's no longer possible under 2.8.2.

The screenshot attached shows the error appearing after choosing resolution and dpi. English translation is:

"C:\Users\admin\Desktop\E-TEK.eps" could not be opened: Postscript-File C:\Users\admin\Desktop\E-TEK.eps could not be interpreted.

Things tried:

- Reinstalling Ghostscript - Reinstalling Gimp

Have there been changes to GIMP EPS-Support which I've missed?

Regards and thanks in advance, Thomas

-

Thomas Dalichow
IT-Services

Solarpraxis AG
Zinnowitzer Straße 1, D-10115 Berlin

Tel: +49 (0) 30/72 62 96 - 345
Fax: +49 (0) 30/72 62 96 - 309

E-Mail: thomasdalichow@solarpraxis.de
Web: www.solarpraxis.de

Aufsichtsratsvorsitzender: Philipp Spitz, Vorstand: Karl-Heinz Remmers
Sitz: Berlin, Amtsgericht Charlottenburg, HRB 75112, Erfüllungsort und
Gerichtsstand: Berlin
Alexandre Prokoudine
2012-11-27 19:40:49 UTC (almost 2 years ago)

Gimp 2.8.2 - EPS Support

On Tue, Nov 27, 2012 at 5:56 PM, Thomas Dalichow wrote:

Have there been changes to GIMP EPS-Support which I've missed?

Yes, 2.8 now uses Ghostscript library instead of running its executable file. Works fine on Linux, but maybe fails on Windows?

Alexandre Prokoudine http://libregraphicsworld.org

Tobias Jakobs
2012-11-28 08:30:32 UTC (almost 2 years ago)

Gimp 2.8.2 - EPS Support

Hello Thomas,

if possible please open a bugreport in Bugzilla and attach a file so that the developers can test it.

Regards Tobias

On Tue, Nov 27, 2012 at 2:56 PM, Thomas Dalichow < thomas.dalichow@solarpraxis.de> wrote:

Hi everybody,

this is my first post on this mailing list and it concerns the EPS support in Gimp 2.8.2

Basic Information:

- Gimp 2.8.2 - Windows 7 Professional, 64 Bit
- GPL Ghostscript 9.0.6, 32 Bit
- Variable GS_PROG is set to
C:\Program Files (x86)\gs\gs9.06\bin\gswin32c.exe (which exists)

Problem:

We recently switched from Gimp 2.6 to Gimp 2.8.2. Under 2.6 it was possible to open EPS-Files in Gimp via Ghostscript, that's no longer possible under 2.8.2.

The screenshot attached shows the error appearing after choosing resolution and dpi. English translation is:

"C:\Users\admin\Desktop\E-TEK.eps" could not be opened: Postscript-File C:\Users\admin\Desktop\E-TEK.eps could not be interpreted.

Things tried:

- Reinstalling Ghostscript - Reinstalling Gimp

Have there been changes to GIMP EPS-Support which I've missed?

Regards and thanks in advance, Thomas

-
--
Thomas Dalichow
IT-Services

Solarpraxis AG
Zinnowitzer Straße 1, D-10115 Berlin

Tel: +49 (0) 30/72 62 96 - 345 Fax: +49 (0) 30/72 62 96 - 309

E-Mail: thomasdalichow@solarpraxis.de Web: www.solarpraxis.de

Aufsichtsratsvorsitzender: Philipp Spitz, Vorstand: Karl-Heinz Remmers Sitz: Berlin, Amtsgericht Charlottenburg, HRB 75112, Erfüllungsort und Gerichtsstand: Berlin

_______________________________________________ gimp-user-list mailing list
gimp-user-list@gnome.org
https://mail.gnome.org/mailman/listinfo/gimp-user-list

2013-04-30 10:08:18 UTC (over 1 year ago)
postings
1
contact
Send private message

Gimp 2.8.2 - EPS Support

Hello Thomas,

if possible please open a bugreport in Bugzilla and attach a file so that
the developers can test it.

Regards Tobias

On Tue, Nov 27, 2012 at 2:56 PM, Thomas Dalichow < thomas.dalichow@solarpraxis.de> wrote:

Apologies, I know this is an old post but I can't find anything else about it (which I find surprising. I am also having this problem in 2.8.4 using GS 9.07, is this being worked on? Where is the bugzilla project that I can submit to if not?

2013-05-08 15:17:27 UTC (over 1 year ago)
postings
4
contact
Send private message

Gimp 2.8.2 - EPS Support

GIMP 2.8.2 and later no longer use the GS_PROG variable to detect and load GhostScript. It uses a DLL instead.

If you have a 64 bit operating system, 64 bit version of GIMP 2.8.2 or higher, and GhostScript 64 bit then try this:

1) Back up the libgs-8.dll file in the GIMP bin folder. 2) Copy the gsdll64.dll file from the GhostScript bin folder to the GIMP folder. 3) Rename the copied gsdll64.dll file to libgs-8.dll. 4) Restart GIMP.

Enjoy!

Patrick Shanahan
2013-05-08 22:38:03 UTC (over 1 year ago)

Gimp 2.8.2 - EPS Support

* jbgrobler [05-08-13 11:19]:

GIMP 2.8.2 and later no longer use the GS_PROG variable to detect and load GhostScript. It uses a DLL instead.

If you have a 64 bit operating system, 64 bit version of GIMP 2.8.2 or higher, and GhostScript 64 bit then try this:

1) Back up the libgs-8.dll file in the GIMP bin folder. 2) Copy the gsdll64.dll file from the GhostScript bin folder to the GIMP folder. 3) Rename the copied gsdll64.dll file to libgs-8.dll. 4) Restart GIMP.

That's odd. I don't have a ".dll" file within my entire system. Your report is inaccurate and mis-stated.

Please correct it.

(paka)Patrick Shanahan       Plainfield, Indiana, USA      HOG # US1244711
http://wahoo.no-ip.org        Photo Album: http://wahoo.no-ip.org/gallery2
http://en.opensuse.org                           openSUSE Community Member
Registered Linux User #207535                    @ http://linuxcounter.net
2013-05-08 22:47:44 UTC (over 1 year ago)
postings
4
contact
Send private message

Gimp 2.8.2 - EPS Support

* jbgrobler [05-08-13 11:19]:
That's odd. I don't have a ".dll" file within my entire system. Your report is inaccurate and mis-stated.

Please correct it.

The original poster clearly stated the issue is with Windows 64 bit.

Patrick Shanahan
2013-05-08 22:54:21 UTC (over 1 year ago)

Gimp 2.8.2 - EPS Support

* jbgrobler [05-08-13 18:48]:

* jbgrobler [05-08-13 11:19]:
That's odd. I don't have a ".dll" file within my entire system. Your report is inaccurate and mis-stated.

Please correct it.

The original poster clearly stated the issue is with Windows 64 bit.

As I said, your report is *mis-stated*!

(paka)Patrick Shanahan       Plainfield, Indiana, USA      HOG # US1244711
http://wahoo.no-ip.org        Photo Album: http://wahoo.no-ip.org/gallery2
http://en.opensuse.org                           openSUSE Community Member
Registered Linux User #207535                    @ http://linuxcounter.net
2013-05-08 23:14:41 UTC (over 1 year ago)
postings
4
contact
Send private message

Gimp 2.8.2 - EPS Support

Clarification:

On Windows versions of GIMP (v2.8.2 and later) it no longer uses the GS_PROG variable to detect and load GhostScript, it uses a DLL instead.

If you have a 64 bit Windows operating system, 64 bit Windows version of GIMP 2.8.2 or higher, and 64 bit Windows version of GhostScript 9.06 or higher (do not try to mix 64 bit and 32 bit versions!) then try this:

1) Back up the libgs-8.dll file in the GIMP bin folder. 2) Copy the gsdll64.dll file from the GhostScript bin folder to the GIMP folder. 3) Rename the copied gsdll64.dll file to libgs-8.dll. 4) Restart GIMP.

Enjoy!

2014-04-22 14:36:31 UTC (6 months ago)
postings
2
contact
Send private message

Gimp 2.8.2 - EPS Support

Hi,

I'm hoping to revive this discussion. I am also having a similar problem but my EPS files are exported from AutoCad LT. 2014. I get the error that is in the attachment. I do have GhostScript 9.14 installed and I have GS_Prog set to the right path. GS installed two executables in the bin subdirectory, gswin64c and gswin64.

What's the difference? I've tried both and I get the same error.

I also found a post that suggested setting a second environment variable GS_LIB, which I have also done.

HELP?

j

Hi everybody,

this is my first post on this mailing list and it concerns the EPS support in Gimp 2.8.2

2014-04-22 14:48:26 UTC (6 months ago)
postings
2
contact
Send private message

Gimp 2.8.2 - EPS Support

Hi!

IGNORE! After posting this I read the rest of the thread. Copying and renaming the gsdll64 WORKED!

Now I need to play with the resolution...

;{) j

Hi,

I'm hoping to revive this discussion. I am also having a similar problem but my EPS files are exported from AutoCad LT. 2014. I get the error that is in the attachment. I do have GhostScript 9.14 installed and I have GS_Prog set to the right path. GS installed two executables in the bin subdirectory, gswin64c and gswin64.

What's the difference? I've tried both and I get the same error.

I also found a post that suggested setting a second environment variable GS_LIB, which I have also done.

HELP?

j

2014-09-05 16:55:47 UTC (about 1 month ago)
postings
3
contact
Send private message

Gimp 2.8.2 - EPS Support

GIMP 2.8.2 and later no longer use the GS_PROG variable to detect and load GhostScript. It uses a DLL instead.

If you have a 64 bit operating system, 64 bit version of GIMP 2.8.2 or higher, and GhostScript 64 bit then try this:

1) Back up the libgs-8.dll file in the GIMP bin folder. 2) Copy the gsdll64.dll file from the GhostScript bin folder to the GIMP folder.
3) Rename the copied gsdll64.dll file to libgs-8.dll. 4) Restart GIMP.

Enjoy!

Thanks a heap. My system died on me a little more then a month ago (so I now have a new computer). Only new did I need to open an EPS file in GIMP and it would not open. Your trick worked great (of course I first had to re-install Ghost too; lol). :)

2014-09-29 13:47:08 UTC (24 days ago)
postings
1
contact
Send private message

Gimp 2.8.2 - EPS Support

Thanks a heap. My system died on me a little more then a month ago (so I now have a new computer). Only new did I need to open an EPS file in GIMP and it would not open. Your trick worked great (of course I first had to re-install Ghost too; lol). :)

Hello all, apologies for 'reviving' an old thread

I've been looking everywhere for a solution - unfortunately I have Windows 7 32 bit - so the dll copy won't work. I added the GS_PROG system variables and used both gswin32.exe and gswin32c.exe to try make this work C:\Program Files\gs\gs9.09\bin\gswin32.exe

I have the latest GIMP installed as well.

any other ideas greatly appreciated!

Thanks H

2014-09-29 16:06:35 UTC (24 days ago)
postings
4
contact
Send private message

Gimp 2.8.2 - EPS Support

The instructions for Windows 7 32 bit is the same. I only added the 64 bit text explicitly to prevent users from mixing 64 bit and 32 bit (you cannot use a 32 bit DLL in a 64 bit application, and vice versa). If you use a 64 bit GIMP then you need the 64 bit PostScript DLL. If you use a 32 bit GIMP then you need to use the 32 bit PostScript DLL.

In your case just make sure you install GIMP 32 bit and PostScript 32 bit version, then the rest of the copy routine remains the same.

Hello all, apologies for 'reviving' an old thread

I've been looking everywhere for a solution - unfortunately I have Windows 7 32 bit - so the dll copy won't work. I added the GS_PROG system variables and used both gswin32.exe and gswin32c.exe to try make this work
C:\Program Files\gs\gs9.09\bin\gswin32.exe

I have the latest GIMP installed as well.

any other ideas greatly appreciated!

Thanks H